import request from '@/utils/request'

// 查询巡检结果采集列表
export function listResult(query) {
  return request({
    url: '/inspection/result/list',
    method: 'get',
    params: query
  })
}

// 查询巡检结果采集详细
export function getResult(id) {
  return request({
    url: '/inspection/result/' + id,
    method: 'get'
  })
}

// 新增巡检结果采集
export function addResult(data) {
  return request({
    url: '/inspection/result',
    method: 'post',
    data: data
  })
}

// 修改巡检结果采集
export function updateResult(data) {
  return request({
    url: '/inspection/result',
    method: 'put',
    data: data
  })
}

// 删除巡检结果采集
export function delResult(id) {
  return request({
    url: '/inspection/result/' + id,
    method: 'delete'
  })
}

// 导出巡检结果采集
export function exportResult(query) {
  return request({
    url: '/inspection/result/export',
    method: 'get',
    params: query
  })
}
